curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/custom-event-schemas \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "ms_t4ir0Dcu5T0m3v3nT5ch3ma",
"name": "newsletter_subscribed",
"schema": {
"properties": {}
},
"created_at": "2023-08-03T10:37:48.716Z",
"object": "custom-event-schema"
},
{
"id": "ms_s3c0N6cu5T0m3v3nT5ch3ma",
"name": "review_left",
"schema": {
"properties": {}
},
"created_at": "2023-08-03T10:37:48.710Z",
"updated_at": "2024-04-26T14:35:03.463Z",
"object": "custom-event-schema"
},
{
"id": "ms_f1r5Tcu5T0m3v3nT5ch3ma",
"name": "sign_up",
"schema": {
"properties": {}
},
"created_at": "2023-08-03T10:37:48.705Z",
"object": "custom-event-schema"
}
],
"total": 3
}List Custom Event Schemas
Lists all custom event schemas available in the project.
๐ Custom Event Documentation
Read Custom Events article to learn how custom events work in Voucherify.
Read also the details about the Track Custom Event endpoint and the Custom Event Object.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/custom-event-schemas \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "ms_t4ir0Dcu5T0m3v3nT5ch3ma",
"name": "newsletter_subscribed",
"schema": {
"properties": {}
},
"created_at": "2023-08-03T10:37:48.716Z",
"object": "custom-event-schema"
},
{
"id": "ms_s3c0N6cu5T0m3v3nT5ch3ma",
"name": "review_left",
"schema": {
"properties": {}
},
"created_at": "2023-08-03T10:37:48.710Z",
"updated_at": "2024-04-26T14:35:03.463Z",
"object": "custom-event-schema"
},
{
"id": "ms_f1r5Tcu5T0m3v3nT5ch3ma",
"name": "sign_up",
"schema": {
"properties": {}
},
"created_at": "2023-08-03T10:37:48.705Z",
"object": "custom-event-schema"
}
],
"total": 3
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Response
Returns the details about the custom event schemas created in the project.
Object containing a list of custom event schemas.
The type of the object represented by JSON. This object stores information about the custom event schemas in a dictionary.
list Identifies the name of the attribute that contains the array of custom event schema objects.
data Array of custom event schema objects.
Show child attributes
Show child attributes
The total number of custom event schema objects.
Was this page helpful?

